## INTRODUCTION
Tweak the DKAN form generation from JSON schema

## Features
- Some template suggestions are added to allow to identify form elements
  generated through the DKAN JSON form widget
- Enable navigation for a dataset (or other data entity), that
  let you jump to properties directly (helpful if you have a large
  schema with a lot of properties)
- Enable close button for properties that can contain multiple values, thus
  closing all the details elements that contain the values for better
  overview
- Allow to delete single properties that can contain multiple values.
  alternative solution to [#4335](https://github.com/GetDKAN/dkan/issues/4335) for the
  removal part.

## REQUIREMENTS

[DKANv2](https://github.com/GetDKAN/dkan) is required, especially the json_form_widget submodule

a patch for DKAN should be installed automatically to make some methods
protected instead of private (see composer.json)

the *json_form_widget* module needs to be enabled beforehand, it will not get
automatically enabled due to https://github.com/GetDKAN/dkan/discussions/4149

## INSTALLATION

Install as you would normally install a contributed Drupal module.
See: https://www.drupal.org/node/895232 for further information.

## MAINTAINERS

Current maintainers:

- Stefan Korn (stefankorn) - https://www.drupal.org/u/stefankorn

