<?php

namespace Drupal\dkan_json_form_tweak;

class FieldTypeRouter extends \Drupal\json_form_widget\FieldTypeRouter {
  public function getFormElement($type, $definition, $data, $object_schema = NULL, $form_state = NULL, array $context = [])
  {
    $element = parent::getFormElement($type, $definition, $data, $object_schema, $form_state, $context);
    if (empty($element['#type'])) {
      if (isset($definition['name']) && isset($element[$definition['name']]['#type'])) {
        $element[$definition['name']]['#dkan_field_type_router'] = TRUE;
      }
    }
    else {
      $element['#dkan_field_type_router'] = TRUE;
    }
    return $element;
  }
}
